Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::Mark Struct Reference

structure to store a mark in a text zone More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| Mark ()
| constructor
bool | read (StarZone &zone)
| try to read a mark

## Public Attributes
int | m_type
| the type: 2: bookmark-start, 3:bookmark-end
int | m_id
| the id
int | m_offset
| the offset

## Friends
std::ostream & | operator<< (std::ostream &o, Mark const &mark)
| operator<<

## Detailed Description

structure to store a mark in a text zone

## Constructor & Destructor Documentation

## ◆ Mark()

StarWriterStruct::Mark::Mark | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::Mark::read | ( | StarZone & | zone | ) |

try to read a mark

Referenced by StarObjectText::readSWTextZone().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Mark const & | mark )
| friend

operator<<

## Member Data Documentation

## ◆ m_id

int StarWriterStruct::Mark::m_id

the id

Referenced by read().

## ◆ m_offset

int StarWriterStruct::Mark::m_offset

the offset

Referenced by read().

## ◆ m_type

int StarWriterStruct::Mark::m_type

the type: 2: bookmark-start, 3:bookmark-end

Referenced by read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx